<div class="full-height full-width d-flex flex-column">
    <div *ngIf="!useOwnHeader" class="full-width generic-dialog-header-colors no-margin no-padding">
        <div #topmostLeftmost (mousedown)="onMouseDownHeader($event)"
             class="d-flex align-items-center full-width" [ngClass]="{'grabbed':movingDialog, 'grabbable': !movingDialog}">
            <div class="d-flex flex-row align-items-center p-2">
                <img class="icon" *ngIf="icon && icon.substr(0, 2) !== '<i'" [src]="icon">
                <div *ngIf="icon && icon.substr(0, 2) === '<i'" class="i-class" [innerHTML]="icon" ></div>
                <h3 style="margin:0;">{{this.title ? this.title : this.dialogContent.innerTitle}}</h3>
            </div>
            <div class="flex-grow-1"></div>
            <div class="padded" (click)="onClose()">
                <i class="exit fas fa-times"></i>
            </div>
        </div>
    </div>
    <mat-dialog-content class="flex-grow-1 no-margin no-padding">
        <div class="full-height full-width padded">
            <ndc-dynamic [ndcDynamicComponent]="this.dialogContentBluePrint"
                         [ndcDynamicInputs]="this.data"
                         (ndcDynamicCreated)="createdComponent($event)">
            </ndc-dynamic>
        </div>
    </mat-dialog-content>
    <mat-dialog-actions *ngIf="actions && actions.length > 0"
                        class="d-flex flex-row justify-content-end no-margin no-padding generic-dialog-footer-colors">
        <div *ngFor="let action of actions">
            <cb-save-footer *ngIf="action.type === type.PRIMARY;else secondary"
                            [actionType]="action.type"
                            [icon]="action.icon"
                            (saveClicked)="executeAction(action)"
                            [disableSave]="this.dialogContent.primaryDisable(action)"
                            [dirty]="this.dialogContent.dirty()"
                            [name]="action.name"
                            [showSpinner]="this.dialogContent.showSpinner">
            </cb-save-footer>
            <!-- to avoid issue with multiple spinner or dirty notes-->
            <ng-template #secondary>
                <cb-save-footer [actionType]="action.type"
                                (saveClicked)="executeAction(action)"
                                [icon]="action.icon"
                                [disableSave]="this.dialogContent.secondaryDisable(action)"
                                [name]="action.name">

                </cb-save-footer>
            </ng-template>
        </div>
    </mat-dialog-actions>
</div>
